package com.moreirahelder.busdashboard;

import android.content.Context;
import android.preference.PreferenceManager;

/**
 * Created by helder on 13-05-2015.
 */
public class Locations {

    private static Locations mInstance = null;
    private Context context;

    private int position = 0;

    public static Locations getInstance(Context context){
        if (mInstance == null)
            mInstance = new Locations(context);
        return  mInstance;
    }

    private Locations(Context context){
        this.context = context;
    }

    public String getCurrentLocation() {
        if (PreferenceManager.getDefaultSharedPreferences(context).getBoolean("realvalues", false)){
            return getRealLocation();
        }
        else{
            return getTestLocation();
        }
    }

    public String getTestLocation(){
        String[] locations = {"41.158322,-8.630900",
                "41.159066,-8.636200",
                "41.160940,-8.646907",
                "41.166861,-8.682305",
                "41.166022,-8.687454",
                "41.162048,-8.685266",
                "41.157686,-8.682305",
                "41.154325,-8.679579",
                "41.149591,-8.675739",
                "41.148170,-8.668872",
                "41.147055,-8.659924",
                "41.148234,-8.652157",
                "41.148460,-8.646363",
                "41.148250,-8.636836",
                "41.150545,-8.629776",
                "41.155117,-8.628875",
                "41.158300,-8.630549"};
        if (position == locations.length)
            position = 0;
        return locations[position++];
    }

    public String getRealLocation(){
        return "0,0";
    }
}
